version: '2'

volumes:
  scdr_data:
    driver_opts:
      onRemove: retain
    driver: rancher-nfs

services:

  db:
    image: aureliopenha/scdr_db_hmg:2.2
    container_name: scdr_db_hmg
    dns: ${DNS}
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
    environment:
      - MYSQL_DATABASE=reuniao
      - MYSQL_ROOT_PASSWORD=${db_password}
      - APP_DATABASE_USER=root
      - APP_DATABASE_PASSWORD=${db_password}
      - APP_HOST_URL=http://${domain_app}:${http_port}
    volumes:
      - scdr_data:/var/lib/mysql
    restart: always



  http:
    image: aureliopenha/scdr_app_hmg:1.3
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
    container_name: scdr_app_hmg
    dns: ${DNS}
    restart: always
    environment:
      - APP_DB_HOST=db:3306
      - APP_DB_USER=reuniaoApp
      - APP_DB_PASSWORD=${db_password}
    links:
      - db
